Loading...
Searching...
No Matches
GxActions Class Reference

`#include <gx_main_window.h>`

## Public Attributes

Glib::RefPtr< Gio::SimpleAction > | quit
Glib::RefPtr< Gio::SimpleAction > | compress
Glib::RefPtr< Gio::SimpleAction > | expand
Glib::RefPtr< Gio::SimpleAction > | jackstartup
Glib::RefPtr< Gio::SimpleAction > | loadladspa
Glib::RefPtr< ToggleAction > | rack_config
Glib::RefPtr< ToggleAction > | live_play
Glib::RefPtr< ToggleAction > | engine_mute
sigc::connection | engine_mute_conn
Glib::RefPtr< ToggleAction > | engine_bypass
sigc::connection | engine_bypass_conn
Glib::RefPtr< ToggleAction > | jackserverconnection
Glib::RefPtr< ToggleAction > | jackports
Glib::RefPtr< ToggleAction > | midicontroller
Glib::RefPtr< ToggleAction > | meterbridge
Glib::RefPtr< ToggleAction > | loggingbox
Glib::RefPtr< ToggleAction > | animations
Glib::RefPtr< ToggleAction > | show_plugin_bar
Glib::RefPtr< ToggleAction > | presets
Glib::RefPtr< ToggleAction > | show_rack
Glib::RefPtr< UiBoolToggleAction > | tuner
Glib::RefPtr< UiBoolToggleAction > | tunermove
Glib::RefPtr< UiBoolToggleAction > | tunermidiout
Glib::RefPtr< UiBoolToggleAction > | livetuner
Glib::RefPtr< ToggleAction > | show_values
Glib::RefPtr< ToggleAction > | tooltips
Glib::RefPtr< UiBoolToggleAction > | midi_in_presets
Glib::RefPtr< ToggleAction > | rackh
Glib::RefPtr< ToggleAction > | midiout
Glib::RefPtr< RadioAction > | skin
Glib::RefPtr< RadioAction > | latency
Glib::RefPtr< RadioAction > | osc_buffer_size
Glib::RefPtr< RadioAction > | preset_list_menu
Glib::RefPtr< Gio::SimpleAction > | new_bank
Glib::RefPtr< Gio::SimpleAction > | save_changes
Glib::RefPtr< ToggleAction > | organize
Glib::RefPtr< Gio::SimpleAction > | online_preset_bank

## Detailed Description

Definition at line 709 of file gx_main_window.h.

## Member Data Documentation

## animations

Glib::RefPtr<ToggleAction> GxActions::animations

Definition at line 729 of file gx_main_window.h.

## compress

Glib::RefPtr<Gio::SimpleAction> GxActions::compress

Definition at line 713 of file gx_main_window.h.

## engine_bypass

Glib::RefPtr<ToggleAction> GxActions::engine_bypass

Definition at line 722 of file gx_main_window.h.

## engine_bypass_conn

sigc::connection GxActions::engine_bypass_conn

Definition at line 723 of file gx_main_window.h.

## engine_mute

Glib::RefPtr<ToggleAction> GxActions::engine_mute

Definition at line 720 of file gx_main_window.h.

## engine_mute_conn

sigc::connection GxActions::engine_mute_conn

Definition at line 721 of file gx_main_window.h.

## expand

Glib::RefPtr<Gio::SimpleAction> GxActions::expand

Definition at line 714 of file gx_main_window.h.

## jackports

Glib::RefPtr<ToggleAction> GxActions::jackports

Definition at line 725 of file gx_main_window.h.

## jackserverconnection

Glib::RefPtr<ToggleAction> GxActions::jackserverconnection

Definition at line 724 of file gx_main_window.h.

## jackstartup

Glib::RefPtr<Gio::SimpleAction> GxActions::jackstartup

Definition at line 715 of file gx_main_window.h.

## latency

Glib::RefPtr<RadioAction> GxActions::latency

Definition at line 745 of file gx_main_window.h.

## live_play

Glib::RefPtr<ToggleAction> GxActions::live_play

Definition at line 719 of file gx_main_window.h.

## livetuner

Glib::RefPtr<UiBoolToggleAction> GxActions::livetuner

Definition at line 737 of file gx_main_window.h.

## loadladspa

Glib::RefPtr<Gio::SimpleAction> GxActions::loadladspa

Definition at line 716 of file gx_main_window.h.

## loggingbox

Glib::RefPtr<ToggleAction> GxActions::loggingbox

Definition at line 728 of file gx_main_window.h.

## meterbridge

Glib::RefPtr<ToggleAction> GxActions::meterbridge

Definition at line 727 of file gx_main_window.h.

## midi_in_presets

Glib::RefPtr<UiBoolToggleAction> GxActions::midi_in_presets

Definition at line 740 of file gx_main_window.h.

## midicontroller

Glib::RefPtr<ToggleAction> GxActions::midicontroller

Definition at line 726 of file gx_main_window.h.

## midiout

Glib::RefPtr<ToggleAction> GxActions::midiout

Definition at line 742 of file gx_main_window.h.

## new_bank

Glib::RefPtr<Gio::SimpleAction> GxActions::new_bank

Definition at line 750 of file gx_main_window.h.

## online_preset_bank

Glib::RefPtr<Gio::SimpleAction> GxActions::online_preset_bank

Definition at line 753 of file gx_main_window.h.

## organize

Glib::RefPtr<ToggleAction> GxActions::organize

Definition at line 752 of file gx_main_window.h.

## osc_buffer_size

Glib::RefPtr<RadioAction> GxActions::osc_buffer_size

Definition at line 746 of file gx_main_window.h.

## preset_list_menu

Glib::RefPtr<RadioAction> GxActions::preset_list_menu

Definition at line 747 of file gx_main_window.h.

## presets

Glib::RefPtr<ToggleAction> GxActions::presets

Definition at line 732 of file gx_main_window.h.

## quit

Glib::RefPtr<Gio::SimpleAction> GxActions::quit

Definition at line 712 of file gx_main_window.h.

## rack_config

Glib::RefPtr<ToggleAction> GxActions::rack_config

Definition at line 718 of file gx_main_window.h.

## rackh

Glib::RefPtr<ToggleAction> GxActions::rackh

Definition at line 741 of file gx_main_window.h.

## save_changes

Glib::RefPtr<Gio::SimpleAction> GxActions::save_changes

Definition at line 751 of file gx_main_window.h.

## show_plugin_bar

Glib::RefPtr<ToggleAction> GxActions::show_plugin_bar

Definition at line 731 of file gx_main_window.h.

## show_rack

Glib::RefPtr<ToggleAction> GxActions::show_rack

Definition at line 733 of file gx_main_window.h.

## show_values

Glib::RefPtr<ToggleAction> GxActions::show_values

Definition at line 738 of file gx_main_window.h.

## skin

Glib::RefPtr<RadioAction> GxActions::skin

Definition at line 744 of file gx_main_window.h.

## tooltips

Glib::RefPtr<ToggleAction> GxActions::tooltips

Definition at line 739 of file gx_main_window.h.

## tuner

Glib::RefPtr<UiBoolToggleAction> GxActions::tuner

Definition at line 734 of file gx_main_window.h.

## tunermidiout

Glib::RefPtr<UiBoolToggleAction> GxActions::tunermidiout

Definition at line 736 of file gx_main_window.h.

## tunermove

Glib::RefPtr<UiBoolToggleAction> GxActions::tunermove

Definition at line 735 of file gx_main_window.h.

The documentation for this class was generated from the following file:

- src/headers/gx_main_window.h